#
%define unstable 0
%define use_enable_final 1

Name: 		qtfprot
Summary: 	K Desktop Environment - Software Development Kit
Version:	0.2.1c
Release:	%mkrel 1
License:	GPL
URL:		http://www.coffeecrew.org/projects/qtfprot/qtfprot-0.2.1b.tar.bz2
Source:		%name-%version.tar.bz2
Source1: 	%{name}_icons.tar.bz2
Group: 		Graphical desktop/KDE
BuildRoot: 	%_tmppath/%name-%version-%release-root
Requires:	fp-linux-ws

%description
QtFprot is a frontend for FPROT 4.x, a free (for personal use)
Linux virus-scanner. It's similar to XFprot, but written in Qt.
It allows you to set all FPROT paramters with a comfortable GUI. 


%prep

%setup -q 

tar --bzip2 -xf %{SOURCE1}

export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure


CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
        ./configure --prefix=%_prefix \
		--libdir=%_libdir \
		--mandir=%_mandir \
		--build=%_target_platform \
		--host=%_target_platform \
		--disable-debug \
		--enable-shared \
		--enable-final \
		--disable-static \
		--disable-embedded \
		--disable-palmtop \
		--disable-rpath \
		--with-gnu-ld \
		--with-pic \
		--with-xinerama

%make



%install
rm -fr %buildroot


make install DESTDIR=%buildroot

#icons
mkdir -p %buildroot/%_miconsdir \
	 %buildroot/%_liconsdir \
	 %buildroot/%_iconsdir
install -m 644 %{name}-16.png %buildroot/%{_miconsdir}/%{name}.png
install -m 644 %{name}-32.png %buildroot/%{_iconsdir}/%{name}.png
install -m 644 %{name}-48.png %buildroot/%{_liconsdir}/%{name}.png


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/pclinuxos-%{name}.desktop << EOF
[Desktop Entry]
Name=QTFprotect
Comment=%{Summary}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-System-FileTools
Encoding=UTF-8
EOF


%clean
rm -fr %buildroot


%files
%defattr(-,root,root)
%{_bindir}/qtfprot
%{_datadir}/icons/locolor/16x16/apps/qtfprot.png
%{_datadir}/icons/locolor/32x32/apps/qtfprot.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/pclinuxos-%{name}.desktop

%changelog
* Thu Jun 14 2007 Texstar <texstar@gmail.com> 0.2.1c-1pclos2007
- import into pclos 2007
